<?

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
if (isset($_GET['id']))$sid = intval($_GET['id']);
else $sid = $user['id'];
$ank = get_user($sid);

$uSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '$ank[id]'  LIMIT 1"));
$frend=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0);
$frend_new=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0);

if ($ank['id'] != $user['id'] && $user['group_access'] == 0)
{
	if (($uSet['privat_str'] == 2 && $frend != 2) || $uSet['privat_str'] == 0) // Начинаем вывод если стр имеет приват настройки
	{
		if ($ank['group_access']>1)echo "<div class='err'>$ank[group_name]</div>\n";
		echo "<div class='nav1'>";
		echo group($ank['id'])." ";
		echo user::nick($ank['id'],1,1,1);
		echo "</div>";
		echo "<div class='nav2'>";
		avatar_ank($ank['id']);
		echo "</div>";
	}
	if ($uSet['privat_str'] == 2 && $frend != 2) // Если только для друзей
	{
		echo '<div class="mess">';
		echo 'Просматривать друзей пользователя могут только его друзья!';
		echo '</div>';
		// В друзья
		if (isset($user))

		{

			echo '<div class="nav1">';
			if ($frend_new == 0 && $frend==0){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?add=".$ank['id']."'>Добавить в друзья</a><br />\n";
			}elseif ($frend_new == 1){

			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?otm=$ank[id]'>Отклонить заявку</a><br />\n";
			}elseif ($frend == 2){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?del=$ank[id]'>Удалить из друзей</a><br />\n";
			}
			echo "</div>";}
	include_once '../sys/inc/tfoot.php';
	exit;
	}
	if ($uSet['privat_str'] == 0) // Если закрыта
	{
		echo '<div class="mess">';
		echo 'Пользователь запретил просматривать его друзей!';
		echo '</div>';
	include_once '../sys/inc/tfoot.php';
	exit;
	}
}

# Заголовок
$set['title']= 'Друзья онлайн '.user::nick($ank['id'],0).'';
include_once '../../sys/inc/thead.php';
title();
aut();

# Панель
echo '<table class="block_panel" cellspacing="0" cellpadding="0">';
echo '<td><a class="panel" href="index.php?id='.$ank[id].'">Все</a><td>';
echo '<td><a class="panel_ok" href="online.php?id='.$ank[id].'">Онлайн</a></td>';
if ($ank['id'] == $user['id']){
echo '<td><a class="panel" href="request.php">Заявки</a>';
}
echo '</table>';

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$ank[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-600)."'"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `frends` INNER JOIN `user` ON `frends`.`frend`=`user`.`id` WHERE `frends`.`user` = '$ank[id]' AND `frends`.`i` = '1' AND `user`.`date_last`>'".(time()-600)."' ORDER BY `user`.`date_last` DESC LIMIT $start, $set[p_str]");

if ($k_post==0){
echo '<div class="block2"><center>Нет друзей онлайн</center></div>';
}

# Вывод друзей онлайн
while ($frend = mysql_fetch_assoc($q)){
$frend=get_user($frend['frend']);

echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($frend['id']).'</a> <span class="avatar_icon">'.online($frend['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
//Дополнительное меню
if ($ank['id']==$user['id']){
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="/img/mail.php?id='.$frend[id].'">Написать</a> ';
echo '<a href="/friends/delete'.$frend[id].'">Удалить</a>';
echo '</ul>';
echo '</div>';
}
echo '<span class="nick">'.user::nick($frend['id']).'</span>';
echo '<div class="block_msg">';
echo '<span style="color: #828282; font-size: 14px;">';
if ($frend['ank_name']!=NULL){
echo ''.$frend[ank_name].' ';
}else{
}
if ($frend['ank_fam']!=NULL){
echo ''.$frend[ank_fam].'';
}else{
}
echo '</span>';
echo '</div>';
echo '</td>';
echo '</table>';

}

# Навигация
if ($k_page>1)str("?id=".$ank['id']."&",$k_page,$page);

include_once '../../sys/inc/tfoot.php';

?>